Billing
Update agency billing details
Update the agency's billing identity and address details used for billing documents.
PATCH
/v1/agencies/{agencyId}/billing/profileUpdate the agency's billing identity and address details used for billing documents.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/billing/profile" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "billingInfo": { "name": "string", "city": "string", "state": "string", "street": "string", "zipcode": "string", "companyName": "string", "vatNumber": "string" } }'{ "data": { "agencyId": "string", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "name": null, "updatedAt": "2019-08-24T14:15:22Z", "country": "string", "city": "string", "state": null, "street": "string", "zipcode": "string", "isCompany": true, "companyName": null, "vatNumber": null }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}